local StoneGateV6 = ...

-- Register all stone gate set building parts and their properties
StoneGateV6:dofile("scripts/basicSmallGate.lua")
--StoneGateV6:dofile("scripts/hoarding.lua")
--StoneGateV6:dofile("scripts/machicolation.lua")

-- Register the stone gate set monument
StoneGateV6:override({
    Id = "STONE_GATE_V5_MONUMENT",
    BuildingPartSetList = {
                Action = "APPEND",
		{
			Name = "STONE_GATE_V6_SGATE_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V6_SGATE_ROOT_PART",
		            "STONE_GATE_V6_SGATE_EXT_ROOT_PART",
		            "STONE_GATE_V6_SGATE_RAMPART_A_PART",
		            "STONE_GATE_V6_SGATE_RAMPART_CLOSING_L_PART",
		            "STONE_GATE_V6_SGATE_RAMPART_CLOSING_R_PART"
                        }
                }
    }
})
--[[
-- Register the stone gate set monument
StoneGateV6:register({
	DataType = "MONUMENT",
	Id = "STONE_GATE_V6_MONUMENT",
	Name = "STONE_GATE_V6_MONUMENT_NAME",
	Description = "STONE_GATE_V6_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "STONE_GATE_V6_SGATE_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V6_SGATE_ROOT_PART",
		            "STONE_GATE_V6_SGATE_EXT_ROOT_PART",
		            "STONE_GATE_V6_SGATE_RAMPART_A_PART",
		            "STONE_GATE_V6_SGATE_RAMPART_CLOSING_L_PART",
		            "STONE_GATE_V6_SGATE_RAMPART_CLOSING_R_PART",
		            "STONE_GATE_V6_SGATE_HOARDING_A_PART",
		            "STONE_GATE_V6_SGATE_MACHICOLATION_A_PART",
		            "STONE_GATE_V6_SGATE_MACHICOLATION_CLOSING_L_PART",
		            "STONE_GATE_V6_SGATE_MACHICOLATION_CLOSING_R_PART",
		            "STONE_GATE_V6_SGATE_MACHICOLATION_WOODEN_ROOF_A_PART",
		            "STONE_GATE_V6_SGATE_MACHICOLATION_STONE_ROOF_A_PART"
                        }
                }
	},
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
	},
        IsEditable = true
})
]]